Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class BotManagerConstants

java.lang.Object
ru.bitel.bgbilling.modules.botmanager.common.bean.BotManagerConstants

    public class BotManagerConstants
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ATTACHMENT_FILE_TITLE` |
  `static java.lang.String` | `DIALOG_PROCESSING_CLASS_PATH` |
  `static java.lang.String` | `ELEMENT_TYPE_KEY` |
  `static java.lang.String` | `ERROR_DIALOG_ID` |
  `static java.lang.String` | `IS_INLINE` |
  `static java.lang.String` | `KEYBOARD_COUNT_BUTTON_IN_LINE` |
  `static java.lang.String` | `LINK_TITLE` |
  `static java.lang.String` | `START_DIALOG_ID` |
  `static java.lang.String` | `STORAGE_ROOT_PATH` |
  `static java.lang.String` | `TEXT_KEY` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BotManagerConstants()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEXT_KEY

    public static final java.lang.String TEXT_KEY
    See Also:
      Constant Field Values

  - ### ELEMENT_TYPE_KEY

    public static final java.lang.String ELEMENT_TYPE_KEY
    See Also:
      Constant Field Values

  - ### DIALOG_PROCESSING_CLASS_PATH

    public static final java.lang.String DIALOG_PROCESSING_CLASS_PATH
    See Also:
      Constant Field Values

  - ### STORAGE_ROOT_PATH

    public static final java.lang.String STORAGE_ROOT_PATH
    See Also:
      Constant Field Values

  - ### KEYBOARD_COUNT_BUTTON_IN_LINE

    public static final java.lang.String KEYBOARD_COUNT_BUTTON_IN_LINE
    See Also:
      Constant Field Values

  - ### START_DIALOG_ID

    public static final java.lang.String START_DIALOG_ID
    See Also:
      Constant Field Values

  - ### ERROR_DIALOG_ID

    public static final java.lang.String ERROR_DIALOG_ID
    See Also:
      Constant Field Values

  - ### LINK_TITLE

    public static final java.lang.String LINK_TITLE
    See Also:
      Constant Field Values

  - ### ATTACHMENT_FILE_TITLE

    public static final java.lang.String ATTACHMENT_FILE_TITLE
    See Also:
      Constant Field Values

  - ### IS_INLINE

    public static final java.lang.String IS_INLINE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### BotManagerConstants

    public BotManagerConstants()